Subject: Re: [TR] Got Judson

From: Randall <[email-masked]>
Date: Thu, 22 Aug 2013 20:25:45 +0000

---- Jeffrey Gayton <[email-masked]> wrote: 
> Darrel,
> 
> Though I'm a newbie and have not yet found the late 63 or later TR4 surrey top
> of my dreams, I look forward to hearing more about the Judson. 

Anything in particular you would like to know?  I have one, but not sure I'll ever actually put it on an engine.  It's pretty crude by modern standards, not really designed to last very long (or let the engine last very long).  And having to remember to add oil every 800 miles sounds like a hassle to me.  If you run it dry for too long, the vanes self-destruct and take the engine with them ...

One of the things I found interesting: Although the oiler was made by Marvel (the same folks who make Marvel Mystery Oil), it was NOT supposed to have MMO used in it.  The instructions specify SAE 10 detergent motor oil:
http://tinyurl.com/lxx7bzf

Randall

** [email-masked] **

Archive: http://www.team.net/archive